<?php 
class RejestracjaForm extends sfForm {
    public function configure() {
        $this->setWidgets(array(
            'email'     => new sfWidgetFormInput(),
            'haslo'     => new sfWidgetFormInputPassword(),
            'rehaslo'   => new sfWidgetFormInputPassword(),
            'captcha'   => new ciWidgetFormCaptcha(),
        ));

        $this->widgetSchema->setNameFormat('rejestracja[%s]');

        $this->widgetSchema->setLabels(array(
            'email'     => "E-mail",
            'haslo'     => "Hasło",
            'rehaslo'   => "Powtórz hasło",
            'captcha'   => 'Zabezpieczenie antyspamowe'
        ));


        $this->setValidators(array(
            'email'     => new sfValidatorEmail(array(), array('invalid' => 'Podany adres e-mail jest niepoprawny.')),
            'haslo'     => new sfValidatorString(array('required' => false)),
            'rehaslo'   => new sfValidatorString(array('required' => false)),
            'captcha'   => new ciValidatorCaptcha()
        ));

        //$this->validatorSchema->setPostValidator(
        //    new sfValidatorSchemaCompare('haslo', sfValidatorSchemaCompare::EQUAL,'rehaslo',array(),array('invalid' => 'Hasła nie są identyczne'))
        //);
    }
}
?>