<?php
use_helper('Funkcje');

// *****************************************************************************
// [PRESET] navigator
//slot('navigator');
$path = array(
    __(ModulPeer::getFromShort('regp')->getNazwa()) => url_for('@regp_index'),
    $point->getNazwa() => url_for('@regp_show?point_id='.$point->getId().'&junk='.Functions::slugify($point->getNazwa())),
);
//include_partial('Common/nawigator', array('path' => $path));
//end_slot();
$_SESSION['navigator_path'] = serialize($path);

// *****************************************************************************
?>

<section class="component">
    <header class="belka">
        <h2 class="title">
            <span><?php echo __(ModulPeer::getFromShort('regp')->getNazwa()).' - '.$point->getNazwa(); ?></span>
        </h2>
    </header>

    <?php if($sf_user->hasFlash('notice') && ($sf_user->getFlash('notice'))): ?>
        <span class="notice"><?php echo __($sf_user->getFlash('notice')) ?></span>
    <?php endif; ?>
    <?php if($sf_user->hasFlash('error') && ($sf_user->getFlash('error'))): ?>
        <span class="error"><?php echo __($sf_user->getFlash('error')) ?></span>
    <?php endif; ?>
    <div class="cl"></div>
    
    <?php echo !empty($msg) ? $msg : ''; ?>
    <div class="bottom">
        <?php include_partial('rejestracja/actions', array('title' => 'Potwierdzenie rejestracji', 'pdf' => 1, 'print' => 1, 'back' => 1, 'report' => 1)); ?>
    </div>
    <div class="cl"></div>
</section>
