<?php
use_helper('Funkcje');
use_javascript('tooltips.js', 'last');

// *****************************************************************************
// [PRESET] navigator
//slot('navigator');
$path = array(
    __(ModulPeer::getFromShort('regp')->getNazwa()) => url_for('@regp_index'),
    $point->getNazwa() => url_for('@regp_show?point_id='.$point->getId().'&junk='.Functions::slugify($point->getNazwa())),
);
//include_partial('Common/nawigator', array('path' => $path));
//end_slot();
$_SESSION['navigator_path'] = serialize($path);

// *****************************************************************************
?>

<section class="component">
    <header class="belka">
        <h2 class="title">
            <span><?php echo __(ModulPeer::getFromShort('regp')->getNazwa()).' - '.$point->getNazwa(); ?></span>
        </h2>
    </header>

    <div id="tresc_box" class="content_tresc">
        <div class="">
            <?php echo $reg_msg; ?>
        </div>

        <?php if($sf_user->hasFlash('notice') && ($sf_user->getFlash('notice'))): ?>
            <span class="notice"><?php echo str_replace(PHP_EOL, '<br/>', $sf_user->getFlash('notice')) ?></span>
        <?php endif; ?>
        <?php if($sf_user->hasFlash('error') && ($sf_user->getFlash('error'))): ?>
            <span class="error"><?php echo str_replace(PHP_EOL, '<br/>', $sf_user->getFlash('error')) ?></span>
        <?php endif; ?>

        <?php include_partial('rejestracja/form', array('form' => $form, 'point' => $point)); ?>
    </div>    
</section> 
