-- phpMyAdmin SQL Dump
-- version 4.4.15.3
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Czas generowania: 31 Sty 2017, 11:18
-- Wersja serwera: 5.7.17-log
-- Wersja PHP: 5.4.45

SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Baza danych: `sam3_szablon`
--

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `registration_point_tbl`
--

CREATE TABLE IF NOT EXISTS `registration_point_tbl` (
  `id` int(11) NOT NULL,
  `nazwa` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `opis` text COLLATE utf8_polish_ci,
  `parallel_points` int(3) NOT NULL DEFAULT '1',
  `extra_terms` int(3) NOT NULL DEFAULT '0',
  `back_browse_days` int(5) NOT NULL DEFAULT '0',
  `forth_browse_days` int(5) NOT NULL DEFAULT '7',
  `forth_browse_roundup` int(1) NOT NULL DEFAULT '0',
  `interval` int(15) NOT NULL DEFAULT '60',
  `verification_time` int(5) NOT NULL DEFAULT '24',
  `mon_start` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `mon_stop` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `tue_start` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `tue_stop` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `wed_start` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `wed_stop` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `thu_start` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `thu_stop` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `fri_start` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `fri_stop` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `sat_start` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `sat_stop` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `sun_start` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `sun_stop` varchar(5) COLLATE utf8_polish_ci DEFAULT NULL,
  `is_publicated` int(1) NOT NULL DEFAULT '0',
  `excluded_days` text COLLATE utf8_polish_ci,
  `notice_email` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `pre_registration_message` text COLLATE utf8_polish_ci,
  `verification_message` text COLLATE utf8_polish_ci,
  `post_registration_message` text COLLATE utf8_polish_ci,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `registration_tbl`
--

CREATE TABLE IF NOT EXISTS `registration_tbl` (
  `id` int(11) NOT NULL,
  `point_id` int(11) NOT NULL,
  `date` datetime NOT NULL,
  `name` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `last_name` varchar(255) COLLATE utf8_polish_ci NOT NULL,
  `tel` int(15) DEFAULT NULL,
  `email` varchar(255) COLLATE utf8_polish_ci DEFAULT NULL,
  `status` int(1) NOT NULL DEFAULT '0',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_polish_ci;

--
-- Indeksy dla zrzutów tabel
--

--
-- Indexes for table `registration_point_tbl`
--
ALTER TABLE `registration_point_tbl`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `registration_tbl`
--
ALTER TABLE `registration_tbl`
  ADD PRIMARY KEY (`id`),
  ADD KEY `date` (`date`),
  ADD KEY `status` (`status`),
  ADD KEY `registration_tbl_FI_1` (`point_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT dla tabeli `registration_point_tbl`
--
ALTER TABLE `registration_point_tbl`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT dla tabeli `registration_tbl`
--
ALTER TABLE `registration_tbl`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `registration_tbl`
--
ALTER TABLE `registration_tbl`
  ADD CONSTRAINT `registration_tbl_FK_1` FOREIGN KEY (`point_id`) REFERENCES `registration_point_tbl` (`id`);
--
-- Zrzut danych tabeli `modul`
--

REPLACE INTO `modul` (`id`, `short`, `permissions`, `multisite`, `banners`, `nazwa`, `tab_color`, `is_menu`, `show_in_portal`) VALUES
(63, 'regp', 1, 1, 0, 'Rezerwacja kolejki', 2, 0, 1);

SET FOREIGN_KEY_CHECKS=1;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
