<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/base/BaseFormFilterPropel.class.php');

/**
 * RegistrationPointTbl filter form base class.
 *
 * @package    sam3
 * @subpackage filter
 * @author     Your name here
 */
class BaseRegistrationPointTblFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'nazwa'                     => new sfWidgetFormFilterInput(),
      'opis'                      => new sfWidgetFormFilterInput(),
      'parallel_points'           => new sfWidgetFormFilterInput(),
      'extra_terms'               => new sfWidgetFormFilterInput(),
      'back_browse_days'          => new sfWidgetFormFilterInput(),
      'forth_browse_days'         => new sfWidgetFormFilterInput(),
      'forth_browse_roundup'      => new sfWidgetFormFilterInput(),
      'interval'                  => new sfWidgetFormFilterInput(),
      'verification_time'         => new sfWidgetFormFilterInput(),
      'mon_start'                 => new sfWidgetFormFilterInput(),
      'mon_stop'                  => new sfWidgetFormFilterInput(),
      'tue_start'                 => new sfWidgetFormFilterInput(),
      'tue_stop'                  => new sfWidgetFormFilterInput(),
      'wed_start'                 => new sfWidgetFormFilterInput(),
      'wed_stop'                  => new sfWidgetFormFilterInput(),
      'thu_start'                 => new sfWidgetFormFilterInput(),
      'thu_stop'                  => new sfWidgetFormFilterInput(),
      'fri_start'                 => new sfWidgetFormFilterInput(),
      'fri_stop'                  => new sfWidgetFormFilterInput(),
      'sat_start'                 => new sfWidgetFormFilterInput(),
      'sat_stop'                  => new sfWidgetFormFilterInput(),
      'sun_start'                 => new sfWidgetFormFilterInput(),
      'sun_stop'                  => new sfWidgetFormFilterInput(),
      'is_publicated'             => new sfWidgetFormFilterInput(),
      'excluded_days'             => new sfWidgetFormFilterInput(),
      'notice_email'              => new sfWidgetFormFilterInput(),
      'pre_registration_message'  => new sfWidgetFormFilterInput(),
      'verification_message'      => new sfWidgetFormFilterInput(),
      'post_registration_message' => new sfWidgetFormFilterInput(),
      'created_at'                => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
      'updated_at'                => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => true)),
    ));

    $this->setValidators(array(
      'nazwa'                     => new sfValidatorPass(array('required' => false)),
      'opis'                      => new sfValidatorPass(array('required' => false)),
      'parallel_points'           => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'extra_terms'               => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'back_browse_days'          => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'forth_browse_days'         => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'forth_browse_roundup'      => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'interval'                  => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'verification_time'         => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'mon_start'                 => new sfValidatorPass(array('required' => false)),
      'mon_stop'                  => new sfValidatorPass(array('required' => false)),
      'tue_start'                 => new sfValidatorPass(array('required' => false)),
      'tue_stop'                  => new sfValidatorPass(array('required' => false)),
      'wed_start'                 => new sfValidatorPass(array('required' => false)),
      'wed_stop'                  => new sfValidatorPass(array('required' => false)),
      'thu_start'                 => new sfValidatorPass(array('required' => false)),
      'thu_stop'                  => new sfValidatorPass(array('required' => false)),
      'fri_start'                 => new sfValidatorPass(array('required' => false)),
      'fri_stop'                  => new sfValidatorPass(array('required' => false)),
      'sat_start'                 => new sfValidatorPass(array('required' => false)),
      'sat_stop'                  => new sfValidatorPass(array('required' => false)),
      'sun_start'                 => new sfValidatorPass(array('required' => false)),
      'sun_stop'                  => new sfValidatorPass(array('required' => false)),
      'is_publicated'             => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'excluded_days'             => new sfValidatorPass(array('required' => false)),
      'notice_email'              => new sfValidatorPass(array('required' => false)),
      'pre_registration_message'  => new sfValidatorPass(array('required' => false)),
      'verification_message'      => new sfValidatorPass(array('required' => false)),
      'post_registration_message' => new sfValidatorPass(array('required' => false)),
      'created_at'                => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
      'updated_at'                => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDate(array('required' => false)), 'to_date' => new sfValidatorDate(array('required' => false)))),
    ));

    $this->widgetSchema->setNameFormat('registration_point_tbl_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'RegistrationPointTbl';
  }

  public function getFields()
  {
    return array(
      'id'                        => 'Number',
      'nazwa'                     => 'Text',
      'opis'                      => 'Text',
      'parallel_points'           => 'Number',
      'extra_terms'               => 'Number',
      'back_browse_days'          => 'Number',
      'forth_browse_days'         => 'Number',
      'forth_browse_roundup'      => 'Number',
      'interval'                  => 'Number',
      'verification_time'         => 'Number',
      'mon_start'                 => 'Text',
      'mon_stop'                  => 'Text',
      'tue_start'                 => 'Text',
      'tue_stop'                  => 'Text',
      'wed_start'                 => 'Text',
      'wed_stop'                  => 'Text',
      'thu_start'                 => 'Text',
      'thu_stop'                  => 'Text',
      'fri_start'                 => 'Text',
      'fri_stop'                  => 'Text',
      'sat_start'                 => 'Text',
      'sat_stop'                  => 'Text',
      'sun_start'                 => 'Text',
      'sun_stop'                  => 'Text',
      'is_publicated'             => 'Number',
      'excluded_days'             => 'Text',
      'notice_email'              => 'Text',
      'pre_registration_message'  => 'Text',
      'verification_message'      => 'Text',
      'post_registration_message' => 'Text',
      'created_at'                => 'Date',
      'updated_at'                => 'Date',
    );
  }
}
