<?php

class RegistrationPointTblPeer extends BaseRegistrationPointTblPeer
{
    /**
     * metoda zwracajaca liste opublikowanych wydzialow posortowana alfabetycznie
     * @return      array lista opublikowanych wydzialow - obiektow typu RegistrationTbl
     * @author      Tomasz Glowinski, 2016
     */
    public static function getActive()
    {
        $c = new Criteria();
        $c->add(self::IS_PUBLICATED, 1);
        $c->addAscendingOrderByColumn(self::NAZWA);
        
        return self::doSelect($c);        
    }
}