<?php

class RegistrationTbl extends BaseRegistrationTbl
{
    public function getFollowingTimeSpan($config)
    {
        $interval = $config['interval'];
        $curr_date = strtotime($this->getDate());
        $curr_dow = strtolower(date('D', $curr_date));
        $max_time = $config[$curr_dow.'_stop'];
        $max_date = date('Y-m-d ', $curr_date).$max_time.':00';
        devdump($max_date);
        
        $c = new CriteriaExt();
        $c->add(RegistrationTblPeer::NAME, $this->getName());
        $c->add(RegistrationTblPeer::LAST_NAME, $this->getLastName());
        $c->add(RegistrationTblPeer::TEL, $this->getTel());
        $c->add(RegistrationTblPeer::EMAIL, $this->getEmail());
        $c->add(RegistrationTblPeer::STATUS, 0);
        $c1 = $c->getNewCriterion(RegistrationTblPeer::DATE, $this->getDate('Y-m-d H:i:s'), Criteria::GREATER_THAN);
        $c2 = $c->getNewCriterion(RegistrationTblPeer::DATE, $max_date, Criteria::LESS_EQUAL);
        $c1->addAnd($c2);
        $c->add($c1);
        
        return RegistrationTblPeer::doSelect($c);
    }
}