<?php slot('top')?>
    <?php GenerateTab('regp'); ?>
<?php end_slot()?>

<?php slot('actions'); ?>
    <?php GenerateButton(1,__('Zapisz'),"regp_conf_form.submit();"); ?>
<?php end_slot() ?>

<?php slot('message'); ?>
    <span id="updater">
        <?php include_partial('frontend/flashes'); ?>
    </span>
<?php end_slot(); ?>

<div class="modul_box" style="width: 100%;">
	<div id="cms_center_panel" >
        <div id="cms_center_panel_content">
            <div class="center_item_title">
                <div class="menu_icon_6"></div>
                <?php echo __('INFORMACJE') ?>
            </div>
            <div class="center_item_text">
                <p>
                    <b>Konfiguracja</b><br/>
                    Panel ustawień modułu Rejestracji osób.
                </p>
            </div>  
            <div class="center_item_footer"></div>
        </div>
    </div>

    <div id="cms_right_panel">
        <div class="right_item_title"><?php echo __('KONFIGURACJA REJESTRACJI OSÓB') ?></div>
        <?php echo form_tag('rejestracja/config', array('method' => 'post', 'id' => 'regp_conf_form', 'name' => 'regp_conf_form')); ?>

            <fieldset class="editor">
                <legend><?php echo __('Czas pracy'); ?></legend>
                
                <table>
                    <tr>
                        <th style="vertical-align: top; width: 25%; text-align: right; padding: 5px 20px 0 0;">
                            <b>Przedział czasu:</b>
                        </th>
                        <td>
                            <?php echo input_tag('regp[interval]', (isset($interval))?$interval:'', array('class' => 'required')); ?>
                        </td>                        
                    </tr>
                    <tr>
                        <th></th>
                        <td class="help">
                            Określ jaki czas przeznaczony jest na jedną osobę (w minutach).
                        </td>
                    </tr>
                    
                    <tr>
                        <th style="vertical-align: top; width: 25%; text-align: right; padding: 5px 20px 0 0;">
                            <b>Poniedziałek:</b>
                        </th>
                        <td>
                            <?php echo input_tag('regp[mon_start]', (isset($mon_start))?$mon_start:''); ?> - <?php echo input_tag('regp[mon_stop]', (isset($mon_stop))?$mon_stop:''); ?>
                        </td>                        
                    </tr>
                    
                    <tr>
                        <th style="vertical-align: top; width: 25%; text-align: right; padding: 5px 20px 0 0;">
                            <b>Wtorek:</b>
                        </th>
                        <td>
                            <?php echo input_tag('regp[tue_start]', (isset($tue_start))?$tue_start:''); ?> - <?php echo input_tag('regp[tue_stop]', (isset($tue_stop))?$tue_stop:''); ?>
                        </td>                        
                    </tr>
                    
                    <tr>
                        <th style="vertical-align: top; width: 25%; text-align: right; padding: 5px 20px 0 0;">
                            <b>Środa:</b>
                        </th>
                        <td>
                            <?php echo input_tag('regp[wed_start]', (isset($wed_start))?$wed_start:''); ?> - <?php echo input_tag('regp[wed_stop]', (isset($wed_stop))?$wed_stop:''); ?>
                        </td>                        
                    </tr>
                    
                    <tr>
                        <th style="vertical-align: top; width: 25%; text-align: right; padding: 5px 20px 0 0;">
                            <b>Czwartek:</b>
                        </th>
                        <td>
                            <?php echo input_tag('regp[thu_start]', (isset($thu_start))?$thu_start:''); ?> - <?php echo input_tag('regp[thu_stop]', (isset($thu_stop))?$thu_stop:''); ?>
                        </td>                        
                    </tr>
                    
                    <tr>
                        <th style="vertical-align: top; width: 25%; text-align: right; padding: 5px 20px 0 0;">
                            <b>Piątek:</b>
                        </th>
                        <td>
                            <?php echo input_tag('regp[fri_start]', (isset($fri_start))?$fri_start:''); ?> - <?php echo input_tag('regp[fri_stop]', (isset($fri_stop))?$fri_stop:''); ?>
                        </td>                        
                    </tr>
                    <tr>
                        <th style="vertical-align: top; width: 25%; text-align: right; padding: 5px 20px 0 0;">
                            <b>Sobota:</b>
                        </th>
                        <td>
                            <?php echo input_tag('regp[sat_start]', (isset($sat_start))?$sat_start:''); ?> - <?php echo input_tag('regp[sat_stop]', (isset($sat_stop))?$sat_stop:''); ?>
                        </td>                        
                    </tr>
                    <tr>
                        <th style="vertical-align: top; width: 25%; text-align: right; padding: 5px 20px 0 0;">
                            <b>Niedziela:</b>
                        </th>
                        <td>
                            <?php echo input_tag('regp[sun_start]', (isset($sun_start))?$sun_start:''); ?> - <?php echo input_tag('regp[sun_stop]', (isset($sun_stop))?$sun_stop:''); ?>
                        </td>                        
                    </tr>
                    <tr>
                        <th></th>
                        <td class="help">
                            Określ zakresy czasu pracy w każdym dniu tygodnia (w formacie GG:MM). 
                        </td>
                    </tr>
                    
                    <tr>
                        <th style="vertical-align: top; width: 25%; text-align: right; padding: 5px 20px 0 0;">
                            <b>Dni wolne od pracy: <span style="color: #cc00cc;">*</span></b>
                        </th>
                        <td>
                            <?php echo input_tag('regp[excluded]', (isset($excluded))?$excluded:'', array('style' => 'width: 445px;')); ?>
                        </td>                        
                    </tr>
                    <tr>
                        <th></th>
                        <td class="help">
                            Możesz określić jakie dni są wolne od pracy urzędu (w formacie RRRR-MM-DD oddzielone spacjami).
                        </td>
                    </tr>
                    
                </table>
            </fieldset>
        
            <fieldset class="editor">
                <legend><?php echo __('Komunikty'); ?></legend>
                <table>
                    <tr>
                        <th style="vertical-align: top; width: 25%; text-align: right; padding: 5px 20px 0 0;">
                            <b>Powiadomienie</b>
                        </th>
                        <td>
                            <?php echo input_tag('regp[notice_email]', (isset($notice_email))?$notice_email:'', array('style' => 'width: 445px;')); ?>
                        </td>                        
                    </tr>
                    <tr>
                        <th></th>
                        <td class="help">
                            Możesz podać adres e-mail, na który zostanie wysłana informacja o dokonaniu rejestracji przez internautę.
                        </td>
                    </tr>
                    
                    <tr>
                        <th style="vertical-align: top; width: 25%; text-align: right; padding: 5px 20px 0 0;">
                            <b>Komunikat podczas rejestracji:</b>
                        </th>
                        <td>
                            <?php echo $reg_msg_widget->render('regp[reg_msg]', (isset($reg_msg)?$reg_msg:'')); ?>
                        </td>                        
                    </tr>
                    <tr>
                        <th></th>
                        <td class="help">
                            Wprowadź komunikat jaki zobaczą internauci podczas rejestracji.
                        </td>
                    </tr>
                    
                    <tr>
                        <th style="vertical-align: top; width: 25%; text-align: right; padding: 5px 20px 0 0;">
                            <b>Treść wiadomości z linkiem aktywacyjnym:</b>
                        </th>
                        <td>
                            <?php echo $eml_msg_widget->render('regp[eml_msg]', (isset($eml_msg)?$eml_msg:'')); ?>
                        </td>                        
                    </tr>
                    <tr>
                        <th></th>
                        <td class="help">
                            Wprowadź treść wiadomości wysyłanej na adres email podany podczas rejestracji. Wiadomość powinna zawierać znaczniki [AKTYWACJA] oraz [USUN], które będą zastąpione linkami aktywującymi lub usuwającymi rejestrację.
                        </td>
                    </tr>
                    
                    <tr>
                        <th style="vertical-align: top; width: 25%; text-align: right; padding: 5px 20px 0 0;">
                            <b>Komunikat potwierdzenia:</b>
                        </th>
                        <td>
                            <?php echo $cfm_msg_widget->render('regp[cfm_msg]', (isset($cfm_msg)?$cfm_msg:'')); ?>
                        </td>                        
                    </tr>
                    <tr>
                        <th></th>
                        <td class="help">
                            Wprowadź komunikat potwierdzenia jaki zobaczą internauci po rejestracji. Wiadomość może zawierać znaczniki [DATA], [GODZINA], [IMIE], [NAZWISKO], [TELEFON], [EMAIL], które będą zastąpione odpowiednimi danymi podanymi przez osobę rejestrującą się.
                        </td>
                    </tr>                    
                </table>                
            </fielfset>
        <?php echo '</form>'; ?>            
    </div>
</div>