<?php if(!$ajax): ?>
<?php slot('top') ?>
<?php GenerateTab('regp'); ?>
<?php end_slot() ?>

<?php slot('actions'); ?>
<?php //GenerateButton(1,__('Zapisz'),"regp_conf_form.submit();"); ?>
<?php GenerateButton(3,__('Wróć'),"location.href=('".url_for('rejestracja_wydzial/index')."')"); ?>
<ul class="sf_admin_actions">
    <?php //include_partial('rejestracja_wydzial/list_actions', array('helper' => $helper)) ?>
</ul>
<?php end_slot() ?>

<?php slot('message'); ?>
<span id="updater">
    <?php include_partial('frontend/flashes'); ?>
</span>
<?php end_slot(); ?>

<?php use_helper('Funkcje'); ?>

<div class="modul_box" style="width: 100%;">
<!--    <div id="cms_center_panel" >
        <?php include_partial('rejestracja_wydzial/inner_menu'); ?>
    </div>-->

    <div id="cms_right_panel" style="width: 100%; box-sizing: border-box;">
        <div class="right_item_title"><?php echo __('REJESTRACJA OSÓB - SATYSTYKI') ?></div>

        <div id="statistics-wrapper">
            <?php endif; ?>
            <div style="text-align: center; padding: 10px 5px; border-top: 1px solid silver; border-left: 1px solid silver; border-right: 1px solid silver;">
                <?php
                $prev_range = array(
                    'from' => date('Y_m_d', strtotime("-1 month", strtotime($date_from))),
                    'to' => date('Y_m_t', strtotime("-1 month", strtotime($date_from)))
                );
                echo link_to_remote(image_tag('common/carousel-next.png', array('alt' => 'prev', 'style' => 'vertical-align: text-bottom; height: 16px; margin: 0 10px; ')).__('Poprzedni miesiąc'), array(
                    'url' => 'rejestracja/statistics?date_from='.$prev_range['from'].'&date_to='.$prev_range['to'],
                    'update' => 'statistics-wrapper',
                ), array('style' => 'float: left;'));
                $curr_range = array(
                    'from' => date('Y_m_01'),
                    'to' => date('Y_m_t')
                );
                echo link_to_remote(__('Obecny miesiąc'), array(
                    'url' => 'rejestracja/statistics?date_from='.$curr_range['from'].'&date_to='.$curr_range['to'],
                    'update' => 'statistics-wrapper',
                ));
                $next_range = array(
                    'from' => date('Y_m_d', strtotime("+1 month", strtotime($date_from))),
                    'to' => date('Y_m_t', strtotime("+1 month", strtotime($date_from)))
                );
                $styl = strtotime(str_replace('_', '-', $next_range['from'])) > strtotime("now") ? ' visibility: hidden;' : '';
                echo link_to_remote(__('Następny miesiąc').image_tag('common/carousel-prev.png', array('alt' => 'next', 'style' => 'vertical-align: text-bottom; height: 16px; margin: 0 10px; ')), array(
                    'url' => 'rejestracja/statistics?date_from='.$next_range['from'].'&date_to='.$next_range['to'],
                    'update' => 'statistics-wrapper',
                ), array('style' => 'float: right;'.$styl));
                ?>
            </div>
            
            <?php 
            $dates = array();
            $date = $date_from;
            while($date <= $date_to)
            {
                $dates[] = $date;
                $date = date('Y-m-d', strtotime("+1 day", strtotime($date)));
            }
            ?>
            <table class="table_list" style="border-collapse: collapse; empty-cells: show; " cellpadding="0" cellspacing="0">
                <thead>
                    <tr>
                        <th colspan="<?php echo count($dates)+1; ?>">
                            <?php echo Functions::reformatDate('F Y', strtotime($date_from)); ?>
                        </th>
                    </tr>
                    <tr>
                        <?php
                        echo '<th valign="bottom"></th>';
                        foreach($dates as $date)
                        {
                            $style = 'style="color: #000;"';
                            if(date('N', strtotime($date)) > 5)
                            {
                                $style = 'style="color: slateblue; background-color: rgba(0, 0, 0, 0.05);"';
                            }
                            echo '<th valign="bottom" '.$style.' title="'.Functions::reformatDate('j. F Y, l', strtotime($date)).'">'.date('j', strtotime($date)).'</th>';
                        }
                        ?>
                    </tr>
                </thead>
                <tbody>
                    <?php 
                    foreach($wydzialy as $row => $wydzial)
                    {
                        echo '<tr>';
                        $style = ($row % 2 == 1) ? 'color: #000; background-color: rgba(0, 0, 0, 0.01);' : 'color: #303030; background-color: rgba(0, 0, 0, 0.0);';
                        echo '<td style="'.$style.'" title="'.$wydzial->getNazwa().'">'.Functions::generujSkrotTekstu($wydzial->getNazwa()).'</td>';
                        foreach($dates as $date)
                        {
                            $style = '';
                            if(date('N', strtotime($date)) > 5)
                            {
                                $style = ($row % 2 == 1) ? 'color: darkslateblue; background-color: rgba(0, 0, 0, 0.05);' : 'color: slateblue; background-color: rgba(0, 0, 0, 0.03);';
                            }
                            else
                            {
                                $style = ($row % 2 == 1) ? 'color: #000; background-color: rgba(0, 0, 0, 0.01);' : 'color: #303030; background-color: rgba(0, 0, 0, 0.0);';
                            }
                            echo '<td valign="bottom" style="text-align: center; '.$style.'">';
                            if(array_key_exists($date, $stats[$wydzial->getId()]))
                            {
                                echo $stats[$wydzial->getId()][$date]->getUses();
                            }
                            echo '</td>';
                        }
                        echo '</tr>';
                    }
                    ?>
                </tbody>
            </table>
            <?php if(!$ajax): ?>
        </div>
    </div>
</div>
<?php endif; ?>