<?php

require_once dirname(__FILE__).'/../lib/rejestracja_wydzialGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/rejestracja_wydzialGeneratorHelper.class.php';

/**
 * rejestracja_wydzial actions.
 *
 * @package    sam3
 * @subpackage rejestracja_wydzial
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 12474 2008-10-31 10:41:27Z fabien $
 */
class rejestracja_wydzialActions extends autoRejestracja_wydzialActions
{

    public function executeList_registrations(sfWebRequest $request)
    {
        $this->redirect('rejestracja/index?point_id='.$request->getParameter('id'));
    }

    public function executeUsun(sfWebRequest $request)
    {
        $this->forward('rejestracja_wydzial', 'delete');
    }
    
    public function executeList_publish(sfWebRequest $request)
    {
        $point_id = $request->getParameter('id');
        $point = RegistrationPointTblPeer::retrieveByPK($point_id);
        $this->forward404Unless($point, '[rejestracja_wydzial/list_publish] Nie ma takiego wydzialu ('.$point_id.').');
        
        $point->setIsPublicated(1);
        $point->save();
        
        $this->getUser()->setFlash('notice', 'Wydział został opublikowany.');
        $this->redirect('rejestracja_wydzial/edit?id='.$point_id);
    }
    
    public function executeList_unpublish(sfWebRequest $request)
    {
        $point_id = $request->getParameter('id');
        $point = RegistrationPointTblPeer::retrieveByPK($point_id);
        $this->forward404Unless($point, '[rejestracja_wydzial/list_publish] Nie ma takiego wydzialu ('.$point_id.').');
        
        $point->setIsPublicated(0);
        $point->save();
        
        $this->getUser()->setFlash('notice', 'Wydział został usunięty z publikacji.');
        $this->redirect('rejestracja_wydzial/edit?id='.$point_id);
    }

}