<?php
if(!empty($obj))
{
    // [PRESET] czy zajawka ma byc wyswietlana w formie okrojonej
    $shrank = isset($shrink) && $shrink == true;

    // [PRESET] title
    $title = $obj->getNazwa();

    // [PRESET] alt
    $alt = ''; //Functions::generujSkrotTekstu($obj->getZajawkaOpis() ? strip_tags($obj->getZajawkaOpis()) : $title, 100);
    
    // [PRESET] link
    $link = '@regp_show?point_id='.$obj->getId()."&junk=".Functions::slugify($title);

    // [PRESET] etykietowanie:
    if(method_exists('LabelsMapTblPeer', 'getLabel') && method_exists($obj, 'getId'))
        $label = LabelsMapTblPeer::getLabel(63, $obj->getId());

    $etykieta = '';
    if(!empty($label))
        $etykieta = $label->getHtml();

    //**************************************************************************
    ?>

    <div class="zajawka<?php if($shrank) echo ' shrank'; ?>">
        <a href="<?php echo url_for($link); ?>">
            <?php
            // GRAFIKA
            if(!empty($img_size) && !empty($img_file))
            {
                echo '<span class="box-left">';
                echo $img_file;
                echo '</span>';
            }
            ?>

            <span class="box-right">
                <?php if(!empty($trafnosc)) echo $trafnosc; ?>
                <span class="title"><?php echo $etykieta.$title; ?></span>

                <?php if(!$shrink): ?>
                    <span class="tresc"><?php echo Functions::generujSkrotTekstu(strip_tags($obj->getOpis()), 255).'&nbsp;'; ?></span>

                    <?php
                    //$author = $obj->getUsrImie().'&nbsp;'.$obj->getUsrNazwisko();
                    //if($obj->getUsrEmail())
                    //    $author = mail_to($obj->getUsrEmail(), $author);
                    Functions::renderInfo($obj);
                    ?> 

                    <span class="link"><?php echo __(sfConfig::get('app_see_more_def')); ?></span>
                <?php endif; ?>
            </span>
        </a>
    </div>
    <?php
}
else
{
    if($_SERVER['SCRIPT_NAME'] == '/index_dev.php')
    {
        echo '<span class="error">Brak parametru `$obj` w rejestracja/zajawka!</span>';
    }
}
?>