<?php

/**
 * RegistrationPointTbl form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseRegistrationPointTblForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                        => new sfWidgetFormInputHidden(),
      'nazwa'                     => new sfWidgetFormInput(),
      'opis'                      => new sfWidgetFormTextarea(),
      'parallel_points'           => new sfWidgetFormInput(),
      'extra_terms'               => new sfWidgetFormInput(),
      'back_browse_days'          => new sfWidgetFormInput(),
      'forth_browse_days'         => new sfWidgetFormInput(),
      'forth_browse_roundup'      => new sfWidgetFormInput(),
      'interval'                  => new sfWidgetFormInput(),
      'verification_time'         => new sfWidgetFormInput(),
      'mon_start'                 => new sfWidgetFormInput(),
      'mon_stop'                  => new sfWidgetFormInput(),
      'tue_start'                 => new sfWidgetFormInput(),
      'tue_stop'                  => new sfWidgetFormInput(),
      'wed_start'                 => new sfWidgetFormInput(),
      'wed_stop'                  => new sfWidgetFormInput(),
      'thu_start'                 => new sfWidgetFormInput(),
      'thu_stop'                  => new sfWidgetFormInput(),
      'fri_start'                 => new sfWidgetFormInput(),
      'fri_stop'                  => new sfWidgetFormInput(),
      'sat_start'                 => new sfWidgetFormInput(),
      'sat_stop'                  => new sfWidgetFormInput(),
      'sun_start'                 => new sfWidgetFormInput(),
      'sun_stop'                  => new sfWidgetFormInput(),
      'is_publicated'             => new sfWidgetFormInput(),
      'excluded_days'             => new sfWidgetFormTextarea(),
      'notice_email'              => new sfWidgetFormInput(),
      'pre_registration_message'  => new sfWidgetFormTextarea(),
      'verification_message'      => new sfWidgetFormTextarea(),
      'post_registration_message' => new sfWidgetFormTextarea(),
      'created_at'                => new sfWidgetFormDateTime(),
      'updated_at'                => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'                        => new sfValidatorPropelChoice(array('model' => 'RegistrationPointTbl', 'column' => 'id', 'required' => false)),
      'nazwa'                     => new sfValidatorString(array('max_length' => 255)),
      'opis'                      => new sfValidatorString(array('required' => false)),
      'parallel_points'           => new sfValidatorInteger(),
      'extra_terms'               => new sfValidatorInteger(),
      'back_browse_days'          => new sfValidatorInteger(),
      'forth_browse_days'         => new sfValidatorInteger(),
      'forth_browse_roundup'      => new sfValidatorInteger(),
      'interval'                  => new sfValidatorInteger(),
      'verification_time'         => new sfValidatorInteger(),
      'mon_start'                 => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'mon_stop'                  => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'tue_start'                 => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'tue_stop'                  => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'wed_start'                 => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'wed_stop'                  => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'thu_start'                 => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'thu_stop'                  => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'fri_start'                 => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'fri_stop'                  => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'sat_start'                 => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'sat_stop'                  => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'sun_start'                 => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'sun_stop'                  => new sfValidatorString(array('max_length' => 5, 'required' => false)),
      'is_publicated'             => new sfValidatorInteger(),
      'excluded_days'             => new sfValidatorString(array('required' => false)),
      'notice_email'              => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'pre_registration_message'  => new sfValidatorString(array('required' => false)),
      'verification_message'      => new sfValidatorString(array('required' => false)),
      'post_registration_message' => new sfValidatorString(array('required' => false)),
      'created_at'                => new sfValidatorDateTime(array('required' => false)),
      'updated_at'                => new sfValidatorDateTime(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('registration_point_tbl[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'RegistrationPointTbl';
  }


}
