<?php

/**
 * RegistrationTbl form base class.
 *
 * @package    sam3
 * @subpackage form
 * @author     Your name here
 */
class BaseRegistrationTblForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'         => new sfWidgetFormInputHidden(),
      'point_id'   => new sfWidgetFormPropelChoice(array('model' => 'RegistrationPointTbl', 'add_empty' => false)),
      'date'       => new sfWidgetFormDateTime(),
      'name'       => new sfWidgetFormInput(),
      'last_name'  => new sfWidgetFormInput(),
      'tel'        => new sfWidgetFormInput(),
      'email'      => new sfWidgetFormInput(),
      'status'     => new sfWidgetFormInput(),
      'created_at' => new sfWidgetFormDateTime(),
      'updated_at' => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'         => new sfValidatorPropelChoice(array('model' => 'RegistrationTbl', 'column' => 'id', 'required' => false)),
      'point_id'   => new sfValidatorPropelChoice(array('model' => 'RegistrationPointTbl', 'column' => 'id')),
      'date'       => new sfValidatorDateTime(),
      'name'       => new sfValidatorString(array('max_length' => 255)),
      'last_name'  => new sfValidatorString(array('max_length' => 255)),
      'tel'        => new sfValidatorInteger(array('required' => false)),
      'email'      => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'status'     => new sfValidatorInteger(),
      'created_at' => new sfValidatorDateTime(array('required' => false)),
      'updated_at' => new sfValidatorDateTime(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('registration_tbl[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'RegistrationTbl';
  }


}
