<?php


abstract class BaseRegistrationPointTblPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'registration_point_tbl';

	
	const CLASS_DEFAULT = 'lib.model.RegistrationPointTbl';

	
	const NUM_COLUMNS = 32;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;

	
	const ID = 'registration_point_tbl.ID';

	
	const NAZWA = 'registration_point_tbl.NAZWA';

	
	const OPIS = 'registration_point_tbl.OPIS';

	
	const PARALLEL_POINTS = 'registration_point_tbl.PARALLEL_POINTS';

	
	const EXTRA_TERMS = 'registration_point_tbl.EXTRA_TERMS';

	
	const BACK_BROWSE_DAYS = 'registration_point_tbl.BACK_BROWSE_DAYS';

	
	const FORTH_BROWSE_DAYS = 'registration_point_tbl.FORTH_BROWSE_DAYS';

	
	const FORTH_BROWSE_ROUNDUP = 'registration_point_tbl.FORTH_BROWSE_ROUNDUP';

	
	const INTERVAL = 'registration_point_tbl.INTERVAL';

	
	const VERIFICATION_TIME = 'registration_point_tbl.VERIFICATION_TIME';

	
	const MON_START = 'registration_point_tbl.MON_START';

	
	const MON_STOP = 'registration_point_tbl.MON_STOP';

	
	const TUE_START = 'registration_point_tbl.TUE_START';

	
	const TUE_STOP = 'registration_point_tbl.TUE_STOP';

	
	const WED_START = 'registration_point_tbl.WED_START';

	
	const WED_STOP = 'registration_point_tbl.WED_STOP';

	
	const THU_START = 'registration_point_tbl.THU_START';

	
	const THU_STOP = 'registration_point_tbl.THU_STOP';

	
	const FRI_START = 'registration_point_tbl.FRI_START';

	
	const FRI_STOP = 'registration_point_tbl.FRI_STOP';

	
	const SAT_START = 'registration_point_tbl.SAT_START';

	
	const SAT_STOP = 'registration_point_tbl.SAT_STOP';

	
	const SUN_START = 'registration_point_tbl.SUN_START';

	
	const SUN_STOP = 'registration_point_tbl.SUN_STOP';

	
	const IS_PUBLICATED = 'registration_point_tbl.IS_PUBLICATED';

	
	const EXCLUDED_DAYS = 'registration_point_tbl.EXCLUDED_DAYS';

	
	const NOTICE_EMAIL = 'registration_point_tbl.NOTICE_EMAIL';

	
	const PRE_REGISTRATION_MESSAGE = 'registration_point_tbl.PRE_REGISTRATION_MESSAGE';

	
	const VERIFICATION_MESSAGE = 'registration_point_tbl.VERIFICATION_MESSAGE';

	
	const POST_REGISTRATION_MESSAGE = 'registration_point_tbl.POST_REGISTRATION_MESSAGE';

	
	const CREATED_AT = 'registration_point_tbl.CREATED_AT';

	
	const UPDATED_AT = 'registration_point_tbl.UPDATED_AT';

	
	public static $instances = array();

	
	private static $mapBuilder = null;

	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'Nazwa', 'Opis', 'ParallelPoints', 'ExtraTerms', 'BackBrowseDays', 'ForthBrowseDays', 'ForthBrowseRoundup', 'Interval', 'VerificationTime', 'MonStart', 'MonStop', 'TueStart', 'TueStop', 'WedStart', 'WedStop', 'ThuStart', 'ThuStop', 'FriStart', 'FriStop', 'SatStart', 'SatStop', 'SunStart', 'SunStop', 'IsPublicated', 'ExcludedDays', 'NoticeEmail', 'PreRegistrationMessage', 'VerificationMessage', 'PostRegistrationMessage', 'CreatedAt', 'UpdatedAt', ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id', 'nazwa', 'opis', 'parallelPoints', 'extraTerms', 'backBrowseDays', 'forthBrowseDays', 'forthBrowseRoundup', 'interval', 'verificationTime', 'monStart', 'monStop', 'tueStart', 'tueStop', 'wedStart', 'wedStop', 'thuStart', 'thuStop', 'friStart', 'friStop', 'satStart', 'satStop', 'sunStart', 'sunStop', 'isPublicated', 'excludedDays', 'noticeEmail', 'preRegistrationMessage', 'verificationMessage', 'postRegistrationMessage', 'createdAt', 'updatedAt', ),
		BasePeer::TYPE_COLNAME => array (self::ID, self::NAZWA, self::OPIS, self::PARALLEL_POINTS, self::EXTRA_TERMS, self::BACK_BROWSE_DAYS, self::FORTH_BROWSE_DAYS, self::FORTH_BROWSE_ROUNDUP, self::INTERVAL, self::VERIFICATION_TIME, self::MON_START, self::MON_STOP, self::TUE_START, self::TUE_STOP, self::WED_START, self::WED_STOP, self::THU_START, self::THU_STOP, self::FRI_START, self::FRI_STOP, self::SAT_START, self::SAT_STOP, self::SUN_START, self::SUN_STOP, self::IS_PUBLICATED, self::EXCLUDED_DAYS, self::NOTICE_EMAIL, self::PRE_REGISTRATION_MESSAGE, self::VERIFICATION_MESSAGE, self::POST_REGISTRATION_MESSAGE, self::CREATED_AT, self::UPDATED_AT, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'nazwa', 'opis', 'parallel_points', 'extra_terms', 'back_browse_days', 'forth_browse_days', 'forth_browse_roundup', 'interval', 'verification_time', 'mon_start', 'mon_stop', 'tue_start', 'tue_stop', 'wed_start', 'wed_stop', 'thu_start', 'thu_stop', 'fri_start', 'fri_stop', 'sat_start', 'sat_stop', 'sun_start', 'sun_stop', 'is_publicated', 'excluded_days', 'notice_email', 'pre_registration_message', 'verification_message', 'post_registration_message', 'created_at', 'updated_at', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'Nazwa' => 1, 'Opis' => 2, 'ParallelPoints' => 3, 'ExtraTerms' => 4, 'BackBrowseDays' => 5, 'ForthBrowseDays' => 6, 'ForthBrowseRoundup' => 7, 'Interval' => 8, 'VerificationTime' => 9, 'MonStart' => 10, 'MonStop' => 11, 'TueStart' => 12, 'TueStop' => 13, 'WedStart' => 14, 'WedStop' => 15, 'ThuStart' => 16, 'ThuStop' => 17, 'FriStart' => 18, 'FriStop' => 19, 'SatStart' => 20, 'SatStop' => 21, 'SunStart' => 22, 'SunStop' => 23, 'IsPublicated' => 24, 'ExcludedDays' => 25, 'NoticeEmail' => 26, 'PreRegistrationMessage' => 27, 'VerificationMessage' => 28, 'PostRegistrationMessage' => 29, 'CreatedAt' => 30, 'UpdatedAt' => 31, ),
		BasePeer::TYPE_STUDLYPHPNAME => array ('id' => 0, 'nazwa' => 1, 'opis' => 2, 'parallelPoints' => 3, 'extraTerms' => 4, 'backBrowseDays' => 5, 'forthBrowseDays' => 6, 'forthBrowseRoundup' => 7, 'interval' => 8, 'verificationTime' => 9, 'monStart' => 10, 'monStop' => 11, 'tueStart' => 12, 'tueStop' => 13, 'wedStart' => 14, 'wedStop' => 15, 'thuStart' => 16, 'thuStop' => 17, 'friStart' => 18, 'friStop' => 19, 'satStart' => 20, 'satStop' => 21, 'sunStart' => 22, 'sunStop' => 23, 'isPublicated' => 24, 'excludedDays' => 25, 'noticeEmail' => 26, 'preRegistrationMessage' => 27, 'verificationMessage' => 28, 'postRegistrationMessage' => 29, 'createdAt' => 30, 'updatedAt' => 31, ),
		BasePeer::TYPE_COLNAME => array (self::ID => 0, self::NAZWA => 1, self::OPIS => 2, self::PARALLEL_POINTS => 3, self::EXTRA_TERMS => 4, self::BACK_BROWSE_DAYS => 5, self::FORTH_BROWSE_DAYS => 6, self::FORTH_BROWSE_ROUNDUP => 7, self::INTERVAL => 8, self::VERIFICATION_TIME => 9, self::MON_START => 10, self::MON_STOP => 11, self::TUE_START => 12, self::TUE_STOP => 13, self::WED_START => 14, self::WED_STOP => 15, self::THU_START => 16, self::THU_STOP => 17, self::FRI_START => 18, self::FRI_STOP => 19, self::SAT_START => 20, self::SAT_STOP => 21, self::SUN_START => 22, self::SUN_STOP => 23, self::IS_PUBLICATED => 24, self::EXCLUDED_DAYS => 25, self::NOTICE_EMAIL => 26, self::PRE_REGISTRATION_MESSAGE => 27, self::VERIFICATION_MESSAGE => 28, self::POST_REGISTRATION_MESSAGE => 29, self::CREATED_AT => 30, self::UPDATED_AT => 31, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'nazwa' => 1, 'opis' => 2, 'parallel_points' => 3, 'extra_terms' => 4, 'back_browse_days' => 5, 'forth_browse_days' => 6, 'forth_browse_roundup' => 7, 'interval' => 8, 'verification_time' => 9, 'mon_start' => 10, 'mon_stop' => 11, 'tue_start' => 12, 'tue_stop' => 13, 'wed_start' => 14, 'wed_stop' => 15, 'thu_start' => 16, 'thu_stop' => 17, 'fri_start' => 18, 'fri_stop' => 19, 'sat_start' => 20, 'sat_stop' => 21, 'sun_start' => 22, 'sun_stop' => 23, 'is_publicated' => 24, 'excluded_days' => 25, 'notice_email' => 26, 'pre_registration_message' => 27, 'verification_message' => 28, 'post_registration_message' => 29, 'created_at' => 30, 'updated_at' => 31, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, )
	);

	
	public static function getMapBuilder()
	{
		if (self::$mapBuilder === null) {
			self::$mapBuilder = new RegistrationPointTblMapBuilder();
		}
		return self::$mapBuilder;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants BasePeer::TYPE_PHPNAME, BasePeer::TYPE_STUDLYPHPNAME, BasePeer::TYPE_COLNAME, BasePeer::TYPE_FIELDNAME, BasePeer::TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(RegistrationPointTblPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(RegistrationPointTblPeer::ID);

		$criteria->addSelectColumn(RegistrationPointTblPeer::NAZWA);

		$criteria->addSelectColumn(RegistrationPointTblPeer::OPIS);

		$criteria->addSelectColumn(RegistrationPointTblPeer::PARALLEL_POINTS);

		$criteria->addSelectColumn(RegistrationPointTblPeer::EXTRA_TERMS);

		$criteria->addSelectColumn(RegistrationPointTblPeer::BACK_BROWSE_DAYS);

		$criteria->addSelectColumn(RegistrationPointTblPeer::FORTH_BROWSE_DAYS);

		$criteria->addSelectColumn(RegistrationPointTblPeer::FORTH_BROWSE_ROUNDUP);

		$criteria->addSelectColumn(RegistrationPointTblPeer::INTERVAL);

		$criteria->addSelectColumn(RegistrationPointTblPeer::VERIFICATION_TIME);

		$criteria->addSelectColumn(RegistrationPointTblPeer::MON_START);

		$criteria->addSelectColumn(RegistrationPointTblPeer::MON_STOP);

		$criteria->addSelectColumn(RegistrationPointTblPeer::TUE_START);

		$criteria->addSelectColumn(RegistrationPointTblPeer::TUE_STOP);

		$criteria->addSelectColumn(RegistrationPointTblPeer::WED_START);

		$criteria->addSelectColumn(RegistrationPointTblPeer::WED_STOP);

		$criteria->addSelectColumn(RegistrationPointTblPeer::THU_START);

		$criteria->addSelectColumn(RegistrationPointTblPeer::THU_STOP);

		$criteria->addSelectColumn(RegistrationPointTblPeer::FRI_START);

		$criteria->addSelectColumn(RegistrationPointTblPeer::FRI_STOP);

		$criteria->addSelectColumn(RegistrationPointTblPeer::SAT_START);

		$criteria->addSelectColumn(RegistrationPointTblPeer::SAT_STOP);

		$criteria->addSelectColumn(RegistrationPointTblPeer::SUN_START);

		$criteria->addSelectColumn(RegistrationPointTblPeer::SUN_STOP);

		$criteria->addSelectColumn(RegistrationPointTblPeer::IS_PUBLICATED);

		$criteria->addSelectColumn(RegistrationPointTblPeer::EXCLUDED_DAYS);

		$criteria->addSelectColumn(RegistrationPointTblPeer::NOTICE_EMAIL);

		$criteria->addSelectColumn(RegistrationPointTblPeer::PRE_REGISTRATION_MESSAGE);

		$criteria->addSelectColumn(RegistrationPointTblPeer::VERIFICATION_MESSAGE);

		$criteria->addSelectColumn(RegistrationPointTblPeer::POST_REGISTRATION_MESSAGE);

		$criteria->addSelectColumn(RegistrationPointTblPeer::CREATED_AT);

		$criteria->addSelectColumn(RegistrationPointTblPeer::UPDATED_AT);

	}

	
	public static function doCount(Criteria $criteria, $distinct = false, PropelPDO $con = null)
	{
				$criteria = clone $criteria;

								$criteria->setPrimaryTableName(RegistrationPointTblPeer::TABLE_NAME);

		if ($distinct && !in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->setDistinct();
		}

		if (!$criteria->hasSelectClause()) {
			RegistrationPointTblPeer::addSelectColumns($criteria);
		}

		$criteria->clearOrderByColumns(); 		$criteria->setDbName(self::DATABASE_NAME); 
		if ($con === null) {
			$con = Propel::getConnection(RegistrationPointTblPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

				$stmt = BasePeer::doCount($criteria, $con);

		if ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$count = (int) $row[0];
		} else {
			$count = 0; 		}
		$stmt->closeCursor();
		return $count;
	}
	
	public static function doSelectOne(Criteria $criteria, PropelPDO $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = RegistrationPointTblPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, PropelPDO $con = null)
	{
		return RegistrationPointTblPeer::populateObjects(RegistrationPointTblPeer::doSelectStmt($criteria, $con));
	}
	
	public static function doSelectStmt(Criteria $criteria, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RegistrationPointTblPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		if (!$criteria->hasSelectClause()) {
			$criteria = clone $criteria;
			RegistrationPointTblPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

				return BasePeer::doSelect($criteria, $con);
	}
	
	public static function addInstanceToPool(RegistrationPointTbl $obj, $key = null)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if ($key === null) {
				$key = (string) $obj->getId();
			} 			self::$instances[$key] = $obj;
		}
	}

	
	public static function removeInstanceFromPool($value)
	{
		if (Propel::isInstancePoolingEnabled() && $value !== null) {
			if (is_object($value) && $value instanceof RegistrationPointTbl) {
				$key = (string) $value->getId();
			} elseif (is_scalar($value)) {
								$key = (string) $value;
			} else {
				$e = new PropelException("Invalid value passed to removeInstanceFromPool().  Expected primary key or RegistrationPointTbl object; got " . (is_object($value) ? get_class($value) . ' object.' : var_export($value,true)));
				throw $e;
			}

			unset(self::$instances[$key]);
		}
	} 
	
	public static function getInstanceFromPool($key)
	{
		if (Propel::isInstancePoolingEnabled()) {
			if (isset(self::$instances[$key])) {
				return self::$instances[$key];
			}
		}
		return null; 	}
	
	
	public static function clearInstancePool()
	{
		self::$instances = array();
	}
	
	
	public static function getPrimaryKeyHashFromRow($row, $startcol = 0)
	{
				if ($row[$startcol + 0] === null) {
			return null;
		}
		return (string) $row[$startcol + 0];
	}

	
	public static function populateObjects(PDOStatement $stmt)
	{
		$results = array();
	
				$cls = RegistrationPointTblPeer::getOMClass();
		$cls = substr('.'.$cls, strrpos('.'.$cls, '.') + 1);
				while ($row = $stmt->fetch(PDO::FETCH_NUM)) {
			$key = RegistrationPointTblPeer::getPrimaryKeyHashFromRow($row, 0);
			if (null !== ($obj = RegistrationPointTblPeer::getInstanceFromPool($key))) {
																$results[] = $obj;
			} else {
		
				$obj = new $cls();
				$obj->hydrate($row);
				$results[] = $obj;
				RegistrationPointTblPeer::addInstanceToPool($obj, $key);
			} 		}
		$stmt->closeCursor();
		return $results;
	}

  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return RegistrationPointTblPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RegistrationPointTblPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		if ($criteria->containsKey(RegistrationPointTblPeer::ID) && $criteria->keyContainsValue(RegistrationPointTblPeer::ID) ) {
			throw new PropelException('Cannot insert a value for auto-increment primary key ('.RegistrationPointTblPeer::ID.')');
		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->beginTransaction();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollBack();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RegistrationPointTblPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(RegistrationPointTblPeer::ID);
			$selectCriteria->add(RegistrationPointTblPeer::ID, $criteria->remove(RegistrationPointTblPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RegistrationPointTblPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}
		$affectedRows = 0; 		try {
									$con->beginTransaction();
			$affectedRows += BasePeer::doDeleteAll(RegistrationPointTblPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	 public static function doDelete($values, PropelPDO $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(RegistrationPointTblPeer::DATABASE_NAME, Propel::CONNECTION_WRITE);
		}

		if ($values instanceof Criteria) {
												RegistrationPointTblPeer::clearInstancePool();

						$criteria = clone $values;
		} elseif ($values instanceof RegistrationPointTbl) {
						RegistrationPointTblPeer::removeInstanceFromPool($values);
						$criteria = $values->buildPkeyCriteria();
		} else {
			


			$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(RegistrationPointTblPeer::ID, (array) $values, Criteria::IN);

			foreach ((array) $values as $singleval) {
								RegistrationPointTblPeer::removeInstanceFromPool($singleval);
			}
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->beginTransaction();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);

			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollBack();
			throw $e;
		}
	}

	
	public static function doValidate(RegistrationPointTbl $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(RegistrationPointTblPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(RegistrationPointTblPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach ($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(RegistrationPointTblPeer::DATABASE_NAME, RegistrationPointTblPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = RegistrationPointTblPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, PropelPDO $con = null)
	{

		if (null !== ($obj = RegistrationPointTblPeer::getInstanceFromPool((string) $pk))) {
			return $obj;
		}

		if ($con === null) {
			$con = Propel::getConnection(RegistrationPointTblPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$criteria = new Criteria(RegistrationPointTblPeer::DATABASE_NAME);
		$criteria->add(RegistrationPointTblPeer::ID, $pk);

		$v = RegistrationPointTblPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, PropelPDO $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(RegistrationPointTblPeer::DATABASE_NAME, Propel::CONNECTION_READ);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria(RegistrationPointTblPeer::DATABASE_NAME);
			$criteria->add(RegistrationPointTblPeer::ID, $pks, Criteria::IN);
			$objs = RegistrationPointTblPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 

Propel::getDatabaseMap(BaseRegistrationPointTblPeer::DATABASE_NAME)->addTableBuilder(BaseRegistrationPointTblPeer::TABLE_NAME, BaseRegistrationPointTblPeer::getMapBuilder());

